# mysqlpp::DBSelectionFailed Class Reference

Exception thrown when the program tries to select a new database and the server refuses for some reason. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::DBSelectionFailed:

[legend]
Collaboration diagram for mysqlpp::DBSelectionFailed:

[legend]
List of all members.

## Public Member Functions

| DBSelectionFailed (const char *w="")
| Create exception object.

## Detailed Description

Exception thrown when the program tries to select a new database and the server refuses for some reason.

The documentation for this class was generated from the following file:

- exceptions.h